<script setup>
import { computed } from 'vue';
import { useRoute } from 'vue-router';
import VnNotes from 'src/components/ui/VnNotes.vue';

const route = useRoute();

const noteFilter = computed(() => {
    return {
        order: 'created DESC',
        where: {
            clientFk: `${route.params.id}`,
        },
    };
});
</script>

<template>
    <VnNotes
        url="clientObservations"
        :add-note="true"
        :filter="noteFilter"
        :body="{ clientFk: route.params.id }"
        style="overflow-y: auto"
        :select-type="true"
    />
</template>
